/*----------------------------------------------------------------------------*/
/* File Information                                                           */
/*----------------------------------------------------------------------------*/
/* Name       : cnet_lanc.h                                                   */
/* Type       : C Programming Language Header                                 */
/* Version    : E1.00                                                         */
/* Date       : 2006 APR 20                                                   */
/* CPU        : V850 Family                                                   */
/* About      : NEC Electronics V850 Lightweight Network Protocol Library     */
/*              LAN Driver Header                                             */
/*----------------------------------------------------------------------------*/
/* Copyright(C) NEC Electronics 2006                                          */
/* NEC ELECTRONICS CONFIDENTIAL AND PROPRIETARY                               */
/* All rights reserved by NEC Electronics Corporation.                        */
/* Use of copyright notice does not evidence publication                      */
/*----------------------------------------------------------------------------*/

#ifndef __CNET_LANC_H__
#define __CNET_LANC_H__

#include "lwip/netif.h"

struct lanc_state {
	void	*dummy;
};

err_t lan9115if_init(struct netif *netif);
void lan9115if_thread(int arg);
void lan9115_interrupt(void);

#endif /* __CNET_LANC_H__ */
