/*----------------------------------------------------------------------------*/
/* File Information                                                           */
/*----------------------------------------------------------------------------*/
/* Name       : cnet_led.h                                                    */
/* Type       : C Programming Language Header                                 */
/* Version    : E1.00                                                         */
/* Date       : 2006 APR 20                                                   */
/* CPU        : V850 Family                                                   */
/* About      : NEC Electronics V850 Lightweight Network Protocol Library     */
/*              LED API Header                                                */
/*----------------------------------------------------------------------------*/
/* Copyright(C) NEC Electronics 2006                                          */
/* NEC ELECTRONICS CONFIDENTIAL AND PROPRIETARY                               */
/* All rights reserved by NEC Electronics Corporation.                        */
/* Use of copyright notice does not evidence publication                      */
/*----------------------------------------------------------------------------*/

#ifndef __CNET_LED_H__
#define __CNET_LED_H__

#define REQ_LEDON	0x00
#define REQ_LEDOFF	0x0F

#define	LED1	0x01
#define	LED2	0x02
#define	LED3	0x04
#define	LED4	0x08
#define	LED_ALL	0x0F

unsigned char dipsw_read(void);
void led_on(unsigned char req);
void led_off(unsigned char req);

#endif	/* __CNET_LED_H__ */
