/*----------------------------------------------------------------------------*/
/* httpduser.c																  */
/*   HTTPf[^Mp[U`֐											  */
/*----------------------------------------------------------------------------*/

#pragma ioreg

#include <stdio.h>
#include "config.h"
#include "lwip/inet.h"
#include "lwip/def.h"
#include "arch/lib.h"
#include "api/cnet_httpd.h"
#include "cnet_param.h"
#include "cnet_led.h"
#include "cnet_uart.h"

#define HTTPSEND(id,s)		cnet_httpdsend(id, s, strlen(s), 1)

/*----------------------------------------------------------------------------*/
void
cnet_httpd_datacmn(int id)
{
}

static void disp_header(int id)
{
	char buf[500];

	int i;
	
	strcpy(buf,"<tr><th width='20%'>Port/Bit</th>");
	for (i=7;i>=0;i--){
		char txt[16];

		strcat(buf,"<th width='10%'>");
		
		sprintf(txt,"%d",i);
		strcat(buf,txt);
	
		strcat(buf,"</th>");
	}
	HTTPSEND(id,buf);

}

static void disp_port(int id, const int nVal,const int nMask,const char *name)
{
	//nVal : |[g̒l
	//nMask: 1:Lȃrbg
	//name :\
	int i;
	char buf[500];
	
	strcpy(buf,"<tr><td align='center'>");
	strcat(buf,name);
	strcat(buf,"</td>");
			
	for (i=7;i>=0;i--){
		strcat(buf,"<td align='center'>");
		
		if ((nMask & (1<<i))!=0){
			char txt[16];
			sprintf(txt,"%d",(nVal>>i) & 0x01);
			strcat(buf,txt);
		}else{
			strcat(buf,"-");
		}
			
		strcat(buf,"</td>");
	}
	
	strcat(buf,"</tr>");
	HTTPSEND(id,buf);
}

static void send_portlist(int id)
{
	static int cntSendData = 0;		//Ăяo邽тɃJEgAbv

	//JE^̒lɉāAf[^𑗐MB
	//ۂɂ́A܂Ƃ߂đMĂȂ
	switch(cntSendData){
	case 0:
		disp_port(id,P0,0x7C,"P0");
		cntSendData++;
		break;
		
	case 1:
		disp_port(id,P1,0x03,"P1");	
		cntSendData++;
		break;
		
	case 2:
		disp_port(id,P3H,0x03,"P3H");
		disp_port(id,P3L,0xFF,"P3L");
		cntSendData++;
		break;
		
	case 3:	
		disp_port(id,P4,0x07,"P4");	
		cntSendData++;
		break;
		
	case 4:
		disp_port(id,P5,0x3F,"P5");	
		cntSendData++;
		break;
		
	case 5:
		disp_port(id,P7H,0x0F,"P7H");	
		disp_port(id,P7L,0xFF,"P7L");	
		cntSendData++;
		break;

	case 6:
		disp_port(id,P9H,0xFF,"P9H");	
		disp_port(id,P9L,0xFF,"P9L");	
		cntSendData++;
		break;
		
	case 7:
		disp_port(id,PCM,0x0F,"PCM");	
		cntSendData++;
		break;

	case 8:
		disp_port(id,PCT,0x53,"PCT");	
		cntSendData++;
		break;

	case 9:
		disp_port(id,PDH,0x3F,"PDH");	
		cntSendData++;
		break;
		
	case 10:
		disp_port(id,PDLH,0xFF,"PDLH");	
		disp_port(id,PDLL,0xFF,"PDLL");	
		cntSendData++;
		break;

	default:
		//SĂ̑M邽߁ACALLBACK̓o^
		cnet_httpdsendcont(id,NULL);
		
		HTTPSEND(id,"</table>\r\n</BODY>\r\n</HTML>\r\n");
		
		//̌ĂяôƂɂ͍ŏs߂ɁAĂB
		cntSendData = 0;
	}	

}

static void portlist(int id, const char *name, const char *value)
{
	// CALLBACK֐o^
	cnet_httpdsendcont(id,send_portlist);
	
	HTTPSEND(id,"<BR><table align='center' width=350 border=1 cellpadding=2 cellspacing=0>");
	disp_header(id);

}

static void led_control(int id, const char *name, const char *value)
{
	/* LED control */
	if (value != (const char *)0) {
		if (*value == '1') {
			PCT.6 = 0;		//_
		}
		else if (*value == '0') {
			PCT.6 = 1;		//
		}
	}
}

/*----------------------------------------------------------------------------*/
const cnet_finfo			httpd_flist[] = {
	{"LED1",				led_control},
	{"portlist",			portlist},
	{NULL,					NULL}
};
	

/*----------------------------------------------------------------------------*/
//#endif	/* CNET_HTTPD */
